<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head th:replace="fragments/head :: head"></head>
<body>
<div th:replace="fragments/navigation :: navigation"></div>

<div class="container">
    <h1 class="display-2">Warenkorb</h1>

    <table class="table table-striped table-hover my-3">
        <thead>
        <tr>
            <th>Artikel</th>
            <th class="text-right">Anzahl</th>
            <th class="text-right">Einzelpreis</th>
            <th class="text-right">Preis</th>
        </tr>
        </thead>
        <tbody>
        <tr th:each="item: ${items}">
           <td>[[${item.key.name}]]</td>
           <td class="text-right">[[${item.value}]]</td>
           <td class="text-right">[[${#numbers.formatCurrency(item.key.price)}]]</td>
           <td class="text-right">[[${#numbers.formatCurrency(item.key.price * item.value)}]]</td>
        </tr>
        </tbody>
        <tfoot class="font-weight-bold">
        <tr>
            <td colspan="3">Summe</td>
            <td class="text-right">[[${#numbers.formatCurrency(sum)}]]</td>
        </tr>
        </tfoot>
    </table>

    <div class="text-right my-3">
        <a href="/delivery" class="btn btn-success btn-lg">Zur Kasse</a>
    </div>
</div>

<div th:replace="fragments/footer :: footer"></div>
<div th:replace="fragments/scripts :: scripts"></div>
</body>
</html>